Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.knowgate.workareas
Enum ApplicationModule

    java.lang.Object
      java.lang.Enum<ApplicationModule>
          com.knowgate.workareas.ApplicationModule

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ApplicationModule>

    public enum ApplicationModule

extends java.lang.Enum<ApplicationModule>

Enum Constant Summary
`COLLAB_TOOLS`
`CONFIGURATION`
`CONTACT_MANAGER`
`DIRECTORY`
`DUTY_MANAGER`
`HIPERMAIL`
`INCIDENTS_TRACKER`
`MAIL_WIRE`
`MARKETING_TOOLS`
`PASSWORD_MANAGER`
`PROJECT_MANAGER`
`SHOP`
`SURVEYS`
`TRAINING`
`VIRTUAL_DISK`
`WEB_BUILDER`
`WIKI`

Method Summary
`boolean` | `available(int iUserAppMask)`
`boolean` | `unavailable(int iUserAppMask)`
`static ApplicationModule` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ApplicationModule[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INCIDENTS_TRACKER

    public static final ApplicationModule INCIDENTS_TRACKER

### DUTY_MANAGER

    public static final ApplicationModule DUTY_MANAGER

### PROJECT_MANAGER

    public static final ApplicationModule PROJECT_MANAGER

### MAIL_WIRE

    public static final ApplicationModule MAIL_WIRE

### WEB_BUILDER

    public static final ApplicationModule WEB_BUILDER

### VIRTUAL_DISK

    public static final ApplicationModule VIRTUAL_DISK

### CONTACT_MANAGER

    public static final ApplicationModule CONTACT_MANAGER

### COLLAB_TOOLS

    public static final ApplicationModule COLLAB_TOOLS

### MARKETING_TOOLS

    public static final ApplicationModule MARKETING_TOOLS

### DIRECTORY

    public static final ApplicationModule DIRECTORY

### SHOP

    public static final ApplicationModule SHOP

### HIPERMAIL

    public static final ApplicationModule HIPERMAIL

### TRAINING

    public static final ApplicationModule TRAINING

### WIKI

    public static final ApplicationModule WIKI

### PASSWORD_MANAGER

    public static final ApplicationModule PASSWORD_MANAGER

### SURVEYS

    public static final ApplicationModule SURVEYS

### CONFIGURATION

    public static final ApplicationModule CONFIGURATION

Method Detail

### values

    public static ApplicationModule[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ApplicationModule c : ApplicationModule.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ApplicationModule valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### available

    public boolean available(int iUserAppMask)

### unavailable

    public boolean unavailable(int iUserAppMask)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD